nsd-checkconf(8)

NAME

nsd-checkconf - NSD configuration file checker.

SYNOPSIS

nsd-checkconf [-v] [-h] [-o option] [-z zonename] [-s keyname] configfile

DESCRIPTION

nsd-checkconf reads a configuration file. It prints parse errors to standard error, and performs additional checks on the contents. The configfile format is described in nsd.conf(5).

The utility of this program is to check a config file for errors before using it in nsd(8) or nsd-zonec(8). This program can also be used for shell scripts to access the nsd config file, using the -o and -z options.

OPTIONS

-v  After reading print the options to standard output in configfile format. Without this option, only success or parse errors are reported.

-h  Print usage help information and exit.

-o option
    Return only this option from the config file. This option can to be used in conjunction with the -z option. The special value zones prints out a list of configured zones.

    This option is primarily used by nsdc to parse the config file from the shell. If the -z option is given, but the -o option is not given, nothing is printed.

-s keyname
    Prints the key secret (base64 blob) configured for this key in the config file. Used to help shell scripts parse the config file.

-z zonename
    Return the option specified with -o for zone 'zonename'.

    If this option is not given, the server section of the config file is used. This option is primarily used by nsdc to parse the config file from the shell.

    The -o, -s and -z option print configfile options to standard output.

FILES

/etc/nsd.conf
    default NSD configuration file

SEE ALSO

nsd(8), nsdc(8), nsd.conf(5), nsd-notify(8), nsd-patch(8), nsd-xfer(8), nsd-zonec(8)

AUTHORS

NSD was written by NLnet Labs and RIPE NCC joint team. Please see CREDITS file in the distribution for further details.